View Issue Details

IDProjectCategoryView StatusLast Update
0004053ScribusStory Editor / Text Framespublic2006-12-22 20:49
ReporterPeturrr Assigned Toavox  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformi386OSUbuntuOS VersionDapper
Product Version1.3.4cvs 
Target VersionFixed in Version1.3.4cvs 
Summary0004053: Editing text on the canvas results in Crash when the 'up' key is used.
DescriptionWhen editing text on the canvas: moving cursor up several times with keyboard results in crash

Both these issues generate the same error:

QComboBox::changeItem: (fontStyle) Index 0 out of range
Scribus Crash
Scribus crashes due to Signal 0000011
Calling Emergency Save
Steps To Reproduce1. Create new document
2. Create Text Frame
3. Put some text in it.
4. Select the 'Edit contents of Frame' tool
5. Click on the Text Frame
6. Move the cursor through the typed text with the 'up' key.

==> Crash
Additional InformationBasicly this means that no text editing on Canvas can be done. Which is frustrating :).
TagsNo tags attached.
Patch

Relationships

child of 0003157 acknowledged Metabug: Cursor placement fixes 

Activities

2006-07-23 17:29

 

bug 4053(textframe cursor up crash) gdb backtrace.txt (5,616 bytes)
[Switching to Thread -1224197920 (LWP 14344)]
0xffffe410 in __kernel_vsyscall ()
(gdb) bt full
#0  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1  0xb716b9a1 in raise () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2  0xb716d2b9 in abort () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#3  0xb7164f51 in __assert_fail () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#4  0x086a2103 in StoryText::item (this=0x8edebec, itm=12) at storytext.cpp:791
        __PRETTY_FUNCTION__ = "ScText* StoryText::item(uint)"
#5  0x08386446 in PageItem_TextFrame::handleModeEditKey (this=0x8edaa08,
    k=0xbfcd11d0, keyRepeat=@0x87af6e2) at pageitem_textframe.cpp:3999
        kk = 4115
        alty = 4.1528243867098052e-269
        Tcha = {static null = {
    static null = <same as static member of an already seen type>,
    d = 0x87250c0, static shared_null = 0x87250c0}, d = 0x87250c0,
  static shared_null = 0x87250c0}
        Tcoun = 142633520
        len = 0
        oldPos = 12
        Twort = {static null = {
    static null = <same as static member of an already seen type>,
    d = 0x87250c0, static shared_null = 0x87250c0}, d = 0x87250c0,
  static shared_null = 0x87250c0}
        view = (class ScribusView *) 0x8da8848
        as = 0
        uc = {static null = {
    static null = <same as static member of an already seen type>,
    d = 0x87250c0, static shared_null = 0x87250c0}, d = 0x8d474a8,
  static shared_null = 0x87250c0}
        c = 137752757
        buttonState = Qt::NoButton
        hg = (class ScText *) 0xb726f320
        altx = -0.22690391540527399
        cr = {static null = {
    static null = <same as static member of an already seen type>,
    d = 0x87250c0, static shared_null = 0x87250c0}, d = 0x87250c0,
  static shared_null = 0x87250c0}
        pos = -1077081608
        KeyMod = 0
#6  0x0866f2eb in ScribusMainWindow::keyPressEvent (this=0x87af1c8,
    k=0xbfcd11d0) at scribus.cpp:1622
        kr = true
        moveBy = 1
        resizingsmaller = false
        resizing = false
        resizeBy = 1
        currItem = (class PageItem *) 0x8edaa08
        windows = {<QPtrList<QWidget>> = {<QGList> = {<> = {<No data fields>},
      firstNode = 0x0, lastNode = 0x0, curNode = 0x0, curIndex = -1,
      numNodes = 0, iterators = 0x0}, <No data fields>}, <No data fields>}
        w = (struct QWidget *) 0x0
        kk = 4115
        uc = {static null = {
    static null = <same as static member of an already seen type>,
    d = 0x87250c0, static shared_null = 0x87250c0}, d = 0x8d474a8,
  static shared_null = 0x87250c0}
        Tcha = {static null = {
    static null = <same as static member of an already seen type>,
    d = 0x87250c0, static shared_null = 0x87250c0}, d = 0x87250c0,
  static shared_null = 0x87250c0}
        buttonState = Qt::NoButton
        cr = {static null = {
    static null = <same as static member of an already seen type>,
    d = 0x87250c0, static shared_null = 0x87250c0}, d = 0x87250c0,
  static shared_null = 0x87250c0}
        Twort = {static null = {
    static null = <same as static member of an already seen type>,
    d = 0x87250c0, static shared_null = 0x87250c0}, d = 0x87250c0,
  static shared_null = 0x87250c0}
        KeyMod = 0
#7  0xb77fa8c6 in QWidget::event () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#8  0xb78cc762 in QMainWindow::event () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#9  0xb7755e56 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#10 0xb77561ee in QApplication::notify () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#11 0xb76e71c5 in QApplication::sendSpontaneousEvent ()
   from /usr/lib/libqt-mt.so.3
No symbol table info available.
#12 0xb76dae65 in QETWidget::translateKeyEvent () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#13 0xb76e0dcc in QApplication::x11ProcessEvent () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#14 0xb76fa4db in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#15 0xb776e947 in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#16 0xb776e86a in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#17 0xb7754965 in QApplication::exec () from /usr/lib/libqt-mt.so.3
No symbol table info available.
#18 0x08678f2a in mainApp (argc=1, argv=0xbfcd17a4) at main_nix.cpp:76
        appRetVal = 0
        app = {<> = {<No data fields>}, static metaObj = 0x87b64b8,
  static useGUI = true, m_ScCore = 0x87a8798, lang = {static null = {
      static null = <same as static member of an already seen type>,
      d = 0x87250c0, static shared_null = 0x87250c0}, d = 0x87a7b98,
    static shared_null = 0x87250c0}, GUILang = {static null = {
      static null = <same as static member of an already seen type>,
      d = 0x87250c0, static shared_null = 0x87250c0}, d = 0x87a7bb0,
    static shared_null = 0x87250c0}, showSplash = true, showFontInfo = false,
  swapDialogButtonOrder = false, prefsUserFile = {static null = {
      static null = <same as static member of an already seen type>,
      d = 0x87250c0, static shared_null = 0x87250c0}, d = 0x87250c0,
    static shared_null = 0x87250c0}, file = {static null = {
      static null = <same as static member of an already seen type>,
      d = 0x87250c0, static shared_null = 0x87250c0}, d = 0x87250c0,
    static shared_null = 0x87250c0}}
#19 0x08678f74 in main (argc=1, argv=0xbfcd17a4) at main_nix.cpp:52
No locals.

Peturrr

2006-07-23 17:30

reporter   ~0011982

Last edited: 2006-07-24 08:56

Woops, Ignore the 'both of these issues' sentence. I have splitted one bug report in two seperate ones, but copied part of the old text.

Issue History

Date Modified Username Field Change
2006-07-23 17:29 Peturrr New Issue
2006-07-23 17:29 Peturrr File Added: bug 4053(textframe cursor up crash) gdb backtrace.txt
2006-07-23 17:30 Peturrr Note Added: 0011982
2006-07-24 08:56 Peturrr Note Edited: 0011982
2006-12-21 19:02 avox Status new => assigned
2006-12-21 19:02 avox Assigned To => avox
2006-12-21 22:12 avox Status assigned => resolved
2006-12-21 22:12 avox Fixed in Version => 1.3.4cvs
2006-12-21 22:12 avox Resolution open => fixed
2006-12-22 20:49 avox Status resolved => closed
2007-05-23 21:12 christoph_s Relationship added child of 0003157
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames